Skip to main content
GET
cURL

Query Parameters

block_rfq_id
integer
required

ID of the Block RFQ

Response

200 - application/json

Success response

amount
number

This value multiplied by the ratio of a leg gives trade size on that leg.

app_name
string

The name of the application that created the Block RFQ on behalf of the user (optional, visible only to taker).

Example:

"Example Application"

asks
object[]
bids
object[]
block_rfq_id
integer

ID of the Block RFQ

combo_id
string

Unique combo identifier

Example:

"BTC-FS-31DEC21-PERP"

creation_timestamp
integer

The timestamp when Block RFQ was created (milliseconds since the Unix epoch)

Example:

1536569522277

disclosed
boolean

Indicates whether the RFQ was created as non-anonymous, meaning taker and maker aliases are visible to counterparties.

expiration_timestamp
integer

The timestamp when the Block RFQ will expire (milliseconds since the UNIX epoch)

Example:

1536569522277

hedge
object
included_in_taker_rating
boolean

Indicates whether the RFQ is included in the taker's rating calculation. Present only for closed RFQs created by the requesting taker.

index_prices
number[]

A list of index prices for the underlying instrument(s) at the time of trade execution.

label
string

User defined label for the Block RFQ (maximum 64 characters)

legs
object[]
makers
string[]

List of targeted Block RFQ makers

mark_price
number

The mark price for the instrument

min_trade_amount
number

Minimum amount for trading

role
enum<string>

Role of the user in Block RFQ

Available options:
taker,
maker
state
enum<string>

State of the Block RFQ

Available options:
open,
filled,
cancelled,
expired
taker
string

Taker alias. Present only when disclosed is true.

Example:

"TAKER1"

taker_rating
string

Rating of the taker

trade_allocations
object[]

List of allocations for Block RFQ pre-allocation. Allows to split amount between different (sub)accounts. The taker can also allocate to himself. Visible only to the taker.

trade_trigger
object

Present only if a trade trigger was placed by the taker and only visible to taker. Only for cases: cancelled (contains the reason for cancellation) and untriggered (contains the information about the trade trigger).

trades
object[]